Name:		insect
Version:	5.0.0
Release:	3%{?dist}
Summary:	A scientific calculator

License:	MIT
URL:		https://github.com/sharkdp/insect
Source0:	http://registry.npmjs.org/%{name}/-/%{name}-%{version}.tgz

BuildArch:	noarch
ExclusiveArch:	%{nodejs_arches} noarch
BuildRequires:	nodejs-packaging, pandoc

%description
High precision scientific calculator with support for physical units

%prep
%setup -q -n package
%nodejs_fixdep decimal.js '>7.1.1'
%nodejs_fixdep xdg-basedir '>2.0.0'
# Replace /usr/bin/env node with /usr/bin/node
sed -i '1s/env //' index.js

%build
# Generate README and man page
(cd docs ; /bin/sh generate.sh)

%install
# Install insect itself
mkdir -p %{buildroot}%{nodejs_sitelib}/%{name}
cp -pr package.json index.js output %{buildroot}%{nodejs_sitelib}/%{name}
# Link the binary
mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{name}/index.js %{buildroot}%{_bindir}/insect
# Install the man page
mkdir -p %{buildroot}%{_mandir}/man1
cp -p docs/insect.1 %{buildroot}%{_mandir}/man1/insect.1

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{name}
%{_mandir}/man1/insect.1*
%{_bindir}/%{name}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jan 18 2018 Timothée Floure <fnux@fedoraproject.org> - 5.0.0-2
- Fix bogus date in changelog
- Remove the deprecated 'group' tag
- Fix the dependencies to match the latest packages

* Thu Aug 17 2017 Timothée Floure <fnux@fnux.ch> - 5.0.0-1
- Update to v5.0.0
- Package manpage (added to insect v5.0.0)

* Wed Jul 26 2017 Timothée Floure <fnux@fnux.ch> - 4.8.0-1
- Let there be package
